This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 707080 - incomplete translation in subscription-manager usage help strings
incomplete translation in subscription-manager usage help strings
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.2
Unspecified Unspecified
unspecified Severity medium
: rc
: 6.2
Assigned To: Bryan Kearney
John Sefler
: Translation
Depends On:
Blocks: rhsm-rhel62
  Show dependency treegraph
 
Reported: 2011-05-23 19:03 EDT by John Sefler
Modified: 2013-01-10 04:41 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-06 12:14:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2011-05-23 19:03:23 EDT
Description of problem:
When typing "subscription-manager --help", one of the help lines shows the usage syntax for subscription-manager.  Some languages appear more translated than others.  For example...

ja_JP appears fully translated:
# LANG=ja_JP subscription-manager --help | grep -- --help
使用法: subscription-manager [オプション] モジュール名 --help

fr_FR doesn't appear translated at all:
# LANG=fr_FR subscription-manager --help | grep -- --help
Usage: subscription-manager [options] MODULENAME --help


Version-Release number of selected component (if applicable):
[root@localhost ~]# rpm -q subscription-manager
subscription-manager-0.95.5.18-1.el5


How reproducible:


Steps to Reproduce:
[root@localhost ~]# for L in en_US de_DE es_ES fr_FR it_IT ja_JP ko_KR pt_BR ru_RU zh_CN zh_TW as_IN bn_IN hi_IN mr_IN gu_IN kn_IN ml_IN or_IN pa_IN ta_IN te_IN; do echo ""; echo "# LANG=$L subscription-manager --help | grep -- --help"; LANG=$L subscription-manager  --help | grep -- --help; done;

# LANG=en_US subscription-manager --help | grep -- --help
Usage: subscription-manager [options] MODULENAME --help

# LANG=de_DE subscription-manager --help | grep -- --help
Verbrauch: subscription-manager [options] MODULENAME --help

# LANG=es_ES subscription-manager --help | grep -- --help
Uso: subscription-manager [opciones] NOMBREDEMÓDULO --help

# LANG=fr_FR subscription-manager --help | grep -- --help
Usage: subscription-manager [options] MODULENAME --help

# LANG=it_IT subscription-manager --help | grep -- --help
Utilizzo: subscription-manager [options] MODULENAME --help

# LANG=ja_JP subscription-manager --help | grep -- --help
使用法: subscription-manager [オプション] モジュール名 --help

# LANG=ko_KR subscription-manager --help | grep -- --help
사용법: subscription-manager [options] MODULENAME --help

# LANG=pt_BR subscription-manager --help | grep -- --help
Uso: subscription-manager [options] MODULENAME --help

# LANG=ru_RU subscription-manager --help | grep -- --help
Формат: subscription-manager [параметры] МОДУЛЬ --help

# LANG=zh_CN subscription-manager --help | grep -- --help
Usage: subscription-manager [options] MODULENAME --help

# LANG=zh_TW subscription-manager --help | grep -- --help
使用方法:subscription-manager [options] MODULENAME --help

# LANG=as_IN subscription-manager --help | grep -- --help
ব্যৱহাৰ: subscription-manager [বিকল্পসমূহ] MODULENAME --help

# LANG=bn_IN subscription-manager --help | grep -- --help
ব্যবহারপ্রণালী: subscription-manager [options] MODULENAME --help

# LANG=hi_IN subscription-manager --help | grep -- --help
प्रयोग: subscription-manager [options] MODULENAME --help

# LANG=mr_IN subscription-manager --help | grep -- --help
वापर: subscription-manager [options] MODULENAME --help

# LANG=gu_IN subscription-manager --help | grep -- --help
વપરાશ: subscription-manager [options] MODULENAME --help

# LANG=kn_IN subscription-manager --help | grep -- --help
ಬಳಕೆ: subscription-manager [options] MODULENAME --help

# LANG=ml_IN subscription-manager --help | grep -- --help
ഉപയോഗിയ്ക്കേണ്ട വിധം: subscription-manager [options] MODULENAME --help

# LANG=or_IN subscription-manager --help | grep -- --help
ବ୍ଯବହାର ବିଧି: subscription-manager [options] MODULENAME --help

# LANG=pa_IN subscription-manager --help | grep -- --help
ਵਰਤੋਂ: subscription-manager [options] MODULENAME --help

# LANG=ta_IN subscription-manager --help | grep -- --help
பயன்பாடு: subscription-manager [விருப்பங்கள்] MODULENAME --help

# LANG=te_IN subscription-manager --help | grep -- --help
వాడుక: subscription-manager [options] MODULENAME --help

  
Actual results:


Expected results:


Additional info:
Comment 1 Chris Duryee 2011-05-23 19:11:16 EDT
The translations appear to be in the .po files, at least for french. This seems like it might be a problem that is addressed in the subscription-manager code.
Comment 2 Chris Duryee 2011-05-24 16:31:16 EDT
I spoke too soon, the translations aren't there for the strings in question. 

From fr.po:

#: ../src/subscription_manager/managercli.py:811
#, python-format
msgid ""
"\n"
"Usage: %s [options] MODULENAME --help\n"
msgstr ""
"\n"
"Usage: %s [options] MODULENAME --help\n"

I am not sure if this is an issue, or if there's no translation for the strings in question.

Ankit: do you know if the above translations are missing, or if they're supposed to be like that?
Comment 3 Ankit Patel 2011-05-25 01:25:29 EDT
(In reply to comment #2)
> I spoke too soon, the translations aren't there for the strings in question. 
> 
> From fr.po:
> 
> #: ../src/subscription_manager/managercli.py:811
> #, python-format
> msgid ""
> "\n"
> "Usage: %s [options] MODULENAME --help\n"
> msgstr ""
> "\n"
> "Usage: %s [options] MODULENAME --help\n"
> 
> I am not sure if this is an issue, or if there's no translation for the strings
> in question.
> 
> Ankit: do you know if the above translations are missing, or if they're
> supposed to be like that?

I think the word "Usage" should be translated, let me confirm with Sam, who takes care of French Translations.

Sam, could you please verify whether above lines are correctly translated, if not could you please update it in the svn repo of el5?

Thanks!
Ankit
Comment 4 Chris Duryee 2011-05-27 13:33:38 EDT
Is there any update on this? I'd like to get it into RC snapshot 2 if possible, which would require us to get the translations by Tuesday (May 31) at the latest. If that's not doable, we can bump this to 5.8 or possibly 5.7 z-stream.
Comment 5 croe@redhat.com 2011-05-31 01:20:20 EDT
The word 'Usage' should be translated 'Utilisation' in French
subscription-manager/fr.po update in revision 148

Thanks, Corina Roe
Comment 6 Ankit Patel 2011-05-31 01:55:04 EDT
(In reply to comment #5)
> The word 'Usage' should be translated 'Utilisation' in French
> subscription-manager/fr.po update in revision 148
> 
> Thanks, Corina Roe

Thanks Corina.

Chris, here is the diff:

[ankit@ankit subscription-manager]$ svn diff -r103:148 fr.po 
Index: fr.po
===================================================================
--- fr.po	(revision 103)
+++ fr.po	(revision 148)
@@ -842,7 +842,7 @@
 "Usage: %s [options] MODULENAME --help\n"
 msgstr ""
 "\n"
-"Usage: %s [options] MODULENAME --help\n"
+"Utilisation: %s [options] MODULENAME --help\n"
 
 #: ../src/subscription_manager/managercli.py:812
 msgid "Supported modules:"
[ankit@ankit subscription-manager]$ 

Please do let me know, if you need an updated PO file?

Thanks!
Ankit
Comment 7 Chris Duryee 2011-05-31 10:31:21 EDT
Ankit,

The diff will work fine. I'll merge it in today.
Comment 8 Chris Duryee 2011-05-31 15:13:09 EDT
# LANG=fr_FR subscription-manager --help | grep -- --help
Utilisation: subscription-manager [options] MODULENAME --help

fixed in 75a7fca40491198a015dd9dcab0beb866decef23 0.95.5.21
Comment 9 Chris Duryee 2011-05-31 16:52:43 EDT
This is too small of an issue to get exception+, moving out to 6.2.
Comment 11 Chris Duryee 2011-05-31 17:54:04 EDT
I un-commited this from our 5.7 git repo, to keep it in sync with cvs. This will get re-addressed when 6.2's strings get translated.
Comment 12 John Sefler 2011-05-31 18:04:53 EDT
This bug should probably belong to the translation team.
Notice in comment 0 that most of the languages do not have a translation for the words "options" and "MODULENAME" and a few are still missing the translation for the word "usage".
Comment 13 Ankit Patel 2011-08-23 02:05:47 EDT
(In reply to comment #12)
> This bug should probably belong to the translation team.
> Notice in comment 0 that most of the languages do not have a translation for
> the words "options" and "MODULENAME" and a few are still missing the
> translation for the word "usage".

Yes, so as mentioned in comment #6 I have provided a diff to be submitted as a patch to solve this bug.

Thanks!
Ankit
Comment 14 Bryan Kearney 2011-08-24 16:01:14 EDT
The diff supplied has been applied. We are planning another round of stirng translations as part of the delivery. Can I close this out and let the translation takeits course?

-- bk
Comment 15 John Sefler 2011-08-26 08:42:13 EDT
(In reply to comment #14)
> The diff supplied has been applied. We are planning another round of stirng
> translations as part of the delivery. Can I close this out and let the
> translation takeits course?
> 
> -- bk

go ahead and move this to MODIFIED
Is there a more appropriate component for translation bugs?  or should we just use the Translation keyword?
Comment 17 John Sefler 2011-09-13 11:15:36 EDT
Moving back to NEW/FailedQA in anticipation of another round of translation scheduled for rhel62 after string freeze.  Once the new translation files have been merged, then we can attempt verification.
Comment 19 John Sefler 2011-10-08 23:42:27 EDT
[root@jsefler-onprem-62server ~]# rpm -q subscription-manager
subscription-manager-0.96.13-1.git.5.2e86717.el6.x86_64



[root@jsefler-onprem-62server ~]# for L in en_US de_DE es_ES fr_FR it_IT ja_JP ko_KR pt_BR ru_RU zh_CN zh_TW as_IN bn_IN hi_IN mr_IN gu_IN kn_IN ml_IN or_IN pa_IN ta_IN te_IN; do echo ""; echo "# LANG=$L subscription-manager --help | grep -- --help"; LANG=$L subscription-manager  --help | grep -- --help; done;

# LANG=en_US subscription-manager --help | grep -- --help
Usage: subscription-manager [options] MODULENAME --help

# LANG=de_DE subscription-manager --help | grep -- --help
Verbrauch: subscription-manager [options] MODULENAME --help

# LANG=es_ES subscription-manager --help | grep -- --help
Uso: subscription-manager [opciones] NOMBREDEMÓDULO --help

# LANG=fr_FR subscription-manager --help | grep -- --help
Usage: subscription-manager [options] MODULENAME --help

# LANG=it_IT subscription-manager --help | grep -- --help
Utilizzo: subscription-manager [options] MODULENAME --help

# LANG=ja_JP subscription-manager --help | grep -- --help
使用法: subscription-manager [オプション] モジュール名 --help

# LANG=ko_KR subscription-manager --help | grep -- --help
사용법: subscription-manager [options] MODULENAME --help

# LANG=pt_BR subscription-manager --help | grep -- --help
Uso: subscription-manager [options] MODULENAME --help

# LANG=ru_RU subscription-manager --help | grep -- --help
Формат: subscription-manager [параметры] МОДУЛЬ --help

# LANG=zh_CN subscription-manager --help | grep -- --help
ব্যৱহাৰ: subscription-manager [বিকল্পসমূহ] MODULENAME --help

# LANG=zh_TW subscription-manager --help | grep -- --help
使用方法:subscription-manager [options] MODULENAME --help

# LANG=as_IN subscription-manager --help | grep -- --help
Usage: subscription-manager [options] MODULENAME --help

# LANG=bn_IN subscription-manager --help | grep -- --help
ব্যবহারপ্রণালী: subscription-manager [options] MODULENAME --help

# LANG=hi_IN subscription-manager --help | grep -- --help
प्रयोग: subscription-manager [options] MODULENAME --help

# LANG=mr_IN subscription-manager --help | grep -- --help
वापर: subscription-manager [options] MODULENAME --help

# LANG=gu_IN subscription-manager --help | grep -- --help
વપરાશ: subscription-manager [options] MODULENAME --help

# LANG=kn_IN subscription-manager --help | grep -- --help
ಬಳಕೆ: subscription-manager [options] MODULENAME --help

# LANG=ml_IN subscription-manager --help | grep -- --help
ഉപയോഗിയ്ക്കേണ്ട വിധം: subscription-manager [options] MODULENAME --help

# LANG=or_IN subscription-manager --help | grep -- --help
ବ୍ଯବହାର ବିଧି: subscription-manager [options] MODULENAME --help

# LANG=pa_IN subscription-manager --help | grep -- --help
ਵਰਤੋਂ: subscription-manager [options] MODULENAME --help

# LANG=ta_IN subscription-manager --help | grep -- --help
பயன்பாடு: subscription-manager [விருப்பங்கள்] MODULENAME --help

# LANG=te_IN subscription-manager --help | grep -- --help
వాడుక: subscription-manager [options] MODULENAME --help



Moving back to NEW/FailedQA 
 * fr_FR and as_IN are still missing a translation for Usage
 * most all langs are missing a translation for "options" and "MODULENAME"
Comment 20 Bryan Kearney 2011-10-10 08:22:22 EDT
Fixed by 742128.
Comment 21 Shwetha Kallesh 2011-10-12 07:14:47 EDT
Moving the bug to verified.

[root@dhcp193-9 ~]#  LANG=fr_FR subscription-manager --help | grep -- --help
Utilisation: subscription-manager [options] MODULENAME --help

[root@dhcp193-9 ~]#  LANG=as_IN subscription-manager --help | grep -- --help
ব্যৱহাৰ: subscription-manager [বিকল্পসমূহ] MODULENAME --help

Rpm's used:

[root@dhcp193-9 ~]# rpm -qa | grep subscription-manager
subscription-manager-firstboot-0.97.1-1.git.85.2353df9.el6.x86_64
subscription-manager-gnome-0.97.1-1.git.85.2353df9.el6.x86_64
subscription-manager-0.97.1-1.git.85.2353df9.el6.x86_64
Comment 23 John Sefler 2011-11-02 08:32:09 EDT
Re-testing against the package targeted for RHEL62...
[root@jsefler-onprem-62server ~]# rpm -q subscription-manager
subscription-manager-0.96.17-1.el6.x86_64
[root@jsefler-onprem-62server ~]# rpm -q python-rhsm
python-rhsm-0.96.15-1.el6.noarch


[root@jsefler-onprem-62server ~]# for L in en_US de_DE es_ES fr_FR it_IT ja_JP ko_KR pt_BR ru_RU zh_CN zh_TW as_IN bn_IN hi_IN mr_IN gu_IN kn_IN ml_IN or_IN pa_IN ta_IN te_IN; do echo ""; echo "# LANG=$L subscription-manager --help | grep -- --help"; LANG=$L subscription-manager  --help | grep -- --help; done;

# LANG=en_US subscription-manager --help | grep -- --help
Usage: subscription-manager [options] MODULENAME --help

# LANG=de_DE subscription-manager --help | grep -- --help
Verbrauch: subscription-manager [options] MODULENAME --help

# LANG=es_ES subscription-manager --help | grep -- --help
Uso: subscription-manager [opciones] NOMBREDEMÓDULO --help

# LANG=fr_FR subscription-manager --help | grep -- --help
Utilisation: subscription-manager [options] MODULENAME --help

# LANG=it_IT subscription-manager --help | grep -- --help
Utilizzo: subscription-manager [options] MODULENAME --help

# LANG=ja_JP subscription-manager --help | grep -- --help
使用法: subscription-manager [オプション] モジュール名 --help

# LANG=ko_KR subscription-manager --help | grep -- --help
사용법: subscription-manager [options] MODULENAME --help

# LANG=pt_BR subscription-manager --help | grep -- --help
Uso: subscription-manager [options] MODULENAME --help

# LANG=ru_RU subscription-manager --help | grep -- --help
Формат: subscription-manager [параметры] МОДУЛЬ --help

# LANG=zh_CN subscription-manager --help | grep -- --help
使用: subscription-manager [options] MODULENAME --help

# LANG=zh_TW subscription-manager --help | grep -- --help
使用方法:subscription-manager [options] MODULENAME --help

# LANG=as_IN subscription-manager --help | grep -- --help
Traceback (most recent call last):
  File "/usr/sbin/subscription-manager", line 54, in <module>
    from subscription_manager import managercli
  File "/usr/share/rhsm/subscription_manager/managercli.py", line 32, in <module>
    from subscription_manager import constants
  File "/usr/share/rhsm/subscription_manager/constants.py", line 32, in <module>
    """)
  File "/usr/share/rhsm/subscription_manager/constants.py", line 22, in <lambda>
    _ = lambda x: gettext.ldgettext("rhsm", x)
  File "/usr/lib64/python2.6/gettext.py", line 543, in ldgettext
    return t.lgettext(message)
  File "/usr/lib64/python2.6/gettext.py", line 368, in lgettext
    return tmsg.encode(locale.getpreferredencoding())
UnicodeEncodeError: 'ascii' codec can't encode characters in position 1-9: ordinal not in range(128)

# LANG=bn_IN subscription-manager --help | grep -- --help
ব্যবহারপ্রণালী: subscription-manager [options] MODULENAME --help

# LANG=hi_IN subscription-manager --help | grep -- --help
प्रयोग: subscription-manager [options] MODULENAME --help

# LANG=mr_IN subscription-manager --help | grep -- --help
वापर: subscription-manager [options] MODULENAME --help

# LANG=gu_IN subscription-manager --help | grep -- --help
વપરાશ: subscription-manager [options] MODULENAME --help

# LANG=kn_IN subscription-manager --help | grep -- --help
ಬಳಕೆ: subscription-manager [options] MODULENAME --help

# LANG=ml_IN subscription-manager --help | grep -- --help
ഉപയോഗിയ്ക്കേണ്ട വിധം: subscription-manager [options] MODULENAME --help

# LANG=or_IN subscription-manager --help | grep -- --help
ବ୍ଯବହାର ବିଧି: subscription-manager [options] MODULENAME --help

# LANG=pa_IN subscription-manager --help | grep -- --help
ਵਰਤੋਂ: subscription-manager [options] MODULENAME --help

# LANG=ta_IN subscription-manager --help | grep -- --help
பயன்பாடு: subscription-manager [விருப்பங்கள்] MODULENAME --help

# LANG=te_IN subscription-manager --help | grep -- --help
వాడుక: subscription-manager [options] MODULENAME --help
[root@jsefler-onprem-62server ~]# 



^^^ ENCOUNTERED A TRACEBACK FOR LANG=as_IN
THE ORIGINAL PROBLEM APPEARS FIXED, BUT THIS VERIFICATION LEADS TO NEW BUG 750807

Moving this bug back to ASSIGNED and depends on 750807.
Comment 24 John Sefler 2011-11-02 10:06:54 EDT
Based on comment https://bugzilla.redhat.com/show_bug.cgi?id=750807#c1 I neglected to specify .UTF8 in comment 23 testing.  Doing a complete rerun now...

[root@jsefler-onprem-62server ~]# rpm -q subscription-manager
subscription-manager-0.96.17-1.el6.x86_64

[root@jsefler-onprem-62server ~]# for L in en_US de_DE es_ES fr_FR it_IT ja_JP ko_KR pt_BR ru_RU zh_CN zh_TW as_IN bn_IN hi_IN mr_IN gu_IN kn_IN ml_IN or_IN pa_IN ta_IN te_IN; do echo ""; echo "# LANG=$L.UTF8 subscription-manager --help"; LANG=$L.UTF8 subscription-manager --help; done;

# LANG=en_US.UTF8 subscription-manager --help

Usage: subscription-manager [options] MODULENAME --help

Primary Modules:

	list           List subscription and product information for this machine
	refresh        Pull the latest subscription data from the server
	register       register the client to RHN
	subscribe      Subscribe the registered machine to a specified product
	unregister     unregister the client from RHN
	unsubscribe    Unsubscribe the machine from all or specific subscriptions

Other Modules (Please consult documentation):

	clean          Remove all local consumer and subscription data without affecting the server
	config         List, set, or remove the configuration parameters in use by this machine.
	environments   Display the environments available for a user
	facts          Work with the current facts for this machine
	identity       Display the identity certificate for this machine or request a new one
	import         Import certificates which were provided outside of the tool
	orgs           Display the orgs against which a user can register a system
	redeem         Attempt to redeem a subscription for a preconfigured machine
	repos          List the repos which this machine is entitled to use


# LANG=de_DE.UTF8 subscription-manager --help

Verbrauch: subscription-manager [options] MODULENAME --help

Primäre Module:

	list           Subskriptions- und Produktinformationen für diesen Rechner anzeigen
	refresh        Neuesten Subskriptionsdaten vom Server abrufen
	register       Client bei RHN registrieren
	subscribe      Angegebenes Produkt für registrierten Rechner subskribieren
	unregister     Client von RHN abmelden  
	unsubscribe    Rechner von allen oder bestimmten Subskriptionen abmelden

Andere Module (siehe Dokumentation):

	clean          Alle lokalen Verbraucher- und Subskriptionsdaten ohne Auswirkungen auf den Server entfernen
	config         Von diesem Rechner verwendete Konfigurationsparameter anzeigen, einstellen oder entfernen.
	environments   Für Benutzer verfügbare Umgebungen anzeigen
	facts          Mit den derzeitigen Fakten für diesen Rechner arbeiten
	identity       Identitätszertifikat für diesen Rechner anzeigen oder neues anfordern
	import         Zertifikate importieren, die außerhalb des Tools bereitgestellt wurden
	orgs           Zeigt die Organisationen an, bei denen ein Benutzer ein System registrieren kann
	redeem         Versucht, eine Subskription für einen vorkonfigurierten Rechner zurückzuerlangen
	repos          Listet die Repos auf, zu deren Verwendung dieser Rechner berechtigt ist


# LANG=es_ES.UTF8 subscription-manager --help

Uso: subscription-manager [opciones] NOMBREDEMÓDULO --help

Módulos primarios:

	list           Lista la información de suscripción y producto para esta máquina
	refresh        Extraiga los últimos datos de suscripción del servidor
	register       Registrar al cliente a RHN
	subscribe      Suscribe la máquina registrada a un producto específico
	unregister     Cancelar el registro del cliente de RHN
	unsubscribe    Retire la suscripción de la máquina de todas las suscripciones específicas

Otros módulos (Por favor consulte la documentación):

	clean          Retire todos los datos del usuario y suscripción sin afectar el servidor
	config         Liste, establezca o retire los parámetros de configuración que esta máquina esté utilizando.
	environments   Mostrar los entornos disponibles para un usuario
	facts          Funciona con los hechos actuales para esta máquina
	identity       Visualice el certificado de identidad para esta máquina o solicite una nueva
	import         Importar certificados que fueron provistos fuera de esta herramienta
	orgs           Mostrar las organizaciones con las que el usuario puede registrar un sistema
	redeem         Intente recuperar una suscripción de una máquina preconfigurada.
	repos          Lista el repositorio al cual esta máquina está autorizado a usar


# LANG=fr_FR.UTF8 subscription-manager --help

Utilisation: subscription-manager [options] MODULENAME --help

Modules primaires :

	list           Répertorie les informations d'abonnement et de produit pour cette machine
	refresh        Extraire les données d'abonnement les plus récentes depuis le serveur
	register       enregistrer le client sur RHN
	subscribe      Abonne la machine enregistrée à un produit spécifié.
	unregister     désenregistrer le client de RHN
	unsubscribe    Désabonner cette machine de tous les abonnements ou d'abonnements spécifiques

Autres modules (veuillez consulter la documentation) :

	clean          Supprimer toutes les données de consommateur local et d'abonnement sans affecter le serveur
	config         Répertorie, installe, ou supprime les paramètres de configuration utilisés par cette machine.
	environments   Afficher les environnements disponibles pour un utilisateur
	facts          Fonctionne avec les faits actuels de cette machine
	identity       Afficher le certificat d'identité pour cette machine ou en demander un nouveau
	import         Importe des certificats fournis en-dehors de l'outil
	orgs           Affiche les organisations sur lesquelles un utilisateur peut enregistrer un système
	redeem         Tente d'échanger un abonnement pour une machine pré-configurée.
	repos          Répertorie les référentiels que cette machine peut utiliser


# LANG=it_IT.UTF8 subscription-manager --help

Utilizzo: subscription-manager [options] MODULENAME --help

Moduli primari:

	list           Elenca sottoscrizioni e le informazioni sul prodotto per questa macchina
	refresh        Ottieni gli ultimissimi dati per la sottoscrizione dal server
	register       registra il client con RHN
	subscribe      Sottoscrivi la macchina registrata ad un prodotto specifico
	unregister     rimuovi registrazione del client con RHN
	unsubscribe    Rimuovere la macchina da tutte le sottoscrizioni o da una sottoscrizione specifica

Altri moduli (Consultare la documentazione):

	clean          Rimuovere tutti i dati relativi alla sottoscrizione ed all'utenza senza interessare il server
	config         Elenca, imposta o rimuove i parametri di configurazione usati da questa macchina.
	environments   Mostra gli ambienti disponibili per un utente
	facts          Lavora con gli eventi correnti per questa macchina
	identity       Mostra il certificato d'identità per questa macchina o richiedine uno nuovo
	import         Importa i certificati forniti esternamente dal pool
	orgs           Mostra le org alle quali un utente può registrare un sistema
	redeem         Cerca di usare una sottoscrizione per una macchina preconfigurata
	repos          Elenca i repositori utilizzabili da questa macchina


# LANG=ja_JP.UTF8 subscription-manager --help

使用法: subscription-manager [オプション] モジュール名 --help

プライマリモジュール:

	list           このマシン用のサブスクリプションと製品情報の一覧表示
	refresh        サーバーから最新のサブスクリプションデータを引き出す
	register       クライアントを RHN に登録
	subscribe      登録マシンを指定製品へサブスクライブする
	unregister     クライアントを RHN から登録解除
	unsubscribe    全ての、又は特定のサブスクリプションからマシンをサブスクライブ解除

その他のモジュール (ドキュメントをご覧下さい):

	clean          サーバーに影響を与えないようにして全てのローカルコンシューマとサブスクリプションデータを削除
	config         このマシンで使用中の設定パラメータの一覧表示、設定、又は削除
	environments   ユーザーに使用可能な環境の表示
	facts          このマシンの現在の情報を使用して作業
	identity       このマシン用の識別証明書を表示するか、又は新規証明書を要求する
	import         ツール外で用意された証明書をインポート
	orgs           ユーザーがシステムの登録元にする組織の表示
	redeem         事前設定マシン用にサブスクリプションの償還を試行
	repos          このマシンが使用権利を持つレポジトリの一覧表示


# LANG=ko_KR.UTF8 subscription-manager --help

사용법: subscription-manager [options] MODULENAME --help

주요 모듈: 

	list           이 컴퓨터에 대한 서브스크립션 및 제품 정보를 나열합니다 
	refresh        서버에서 최신 서브스크립션 데이터를 풀(pull) 합니다 
	register       RHN에 클라이언트를 등록 
	subscribe      등록된 컴퓨터를 지정된 제품에 가입 
	unregister     RHN에서 클라이언트를 등록 해제 
	unsubscribe    모든 또는 특정 서브스크립션에서 시스템을 등록 해제합니다 

기타 다른 모듈 (문서를 참조하십시오): 

	clean          서버에 영향을 미치지 않고 모든 로컬 사용자 및 서브스크립션 데이터를 삭제 
	config         이 컴퓨터에서 사용할 설정 매개 변수를 나열, 설정, 삭제합니다. 
	environments   사용자에 대해 사용가능한 환경 표시 
	facts          이 컴퓨터의 현재 정보로 작업합니다 
	identity       이 컴퓨터의 id 인증서 표시 또는 새 인증서 요청 
	import         도구 외부에서 제공된 인증서를 가져옵니다 
	orgs           시스템을 등록할 수 있는 사용자에 대한 조직을 표시합니다 
	redeem         사전 설정된 컴퓨터에 대해 서브스크립션을 교환하려함 
	repos          사용 권한이 있는 시스템의 리포지터리를 나열합니다 


# LANG=pt_BR.UTF8 subscription-manager --help

Uso: subscription-manager [options] MODULENAME --help

Módulos Primários:

	list           Lista informações sobre produtos e subscrições para esta máquina
	refresh        Puxar os últimos dados de subscrição do servidor
	register       registre o cliente ao RHN
	subscribe      Subscreva a máquina registrada ao produto especificado
	unregister     cancelar registro do cliente do RHN
	unsubscribe    Cancelar subscrição da máquina de todas ou específicas subscrições

Outros Módulos (Por favor consulte a documentação):

	clean          Remova todos os clientes e dados de subscrições locais sem afetar o servidor
	config         Liste, defina ou remova os parâmetros de configuração em uso por esta máquina.
	environments   Exibe os ambientes disponíveis para um usuário
	facts          Trabalhe com os fatos atuais para esta máquina
	identity       Exibir o certificado de identidade para esta máquina ou pedir um novo
	import         Importar certificados que foram fornecidos fora da ferramenta
	orgs           Exibe as organizações as quais um usuário pode registrar um sistema 
	redeem         Tentativa de resgatar uma subscrição para uma máquina pré configurada
	repos          Lista de repositórios que esta máquina tem direitos de usar


# LANG=ru_RU.UTF8 subscription-manager --help

Формат: subscription-manager [параметры] МОДУЛЬ --help

Основные модули:

	list           Показать информацию о подписках и продуктах для этой системы.
	refresh        Получить последние данные подписки с сервера
	register       зарегистрировать в RHN
	subscribe      Подписать зарегистрированный компьютер на выбранный продукт.
	unregister     удалить регистрацию в RHN
	unsubscribe    Удалить подписки

Другие модули (см. документацию):

	clean          Удалить локальные данные пользователя и подписки
	config         Настройка, просмотр и удаление параметров для компьютера.
	environments   Показать доступные окружения
	facts          Работать с текущей статистикой компьютера.
	identity       Показать сертификат для этого компьютера или запросить новый
	import         Импорт сертификатов, полученных с помощью других инструментов.
	orgs           Показать организации, в которых может быть зарегистрирована эта система
	redeem         Пытаться получить подписку для предварительно настроенного компьютера
	repos          Возвращает список доступных компьютеру репозиториев.


# LANG=zh_CN.UTF8 subscription-manager --help

使用: subscription-manager [options] MODULENAME --help

主模块:

	list           为这台机器列出订阅和产品信息。
	refresh        从该服务器中提出最新订阅数据
	register       在 RHN 里注册客户  
	subscribe      在指定的产品中订阅注册的机器
	unregister     在 RHN 里取消客户的注册
	unsubscribe    在所有订阅或者具体订阅中取消订阅该机器

其它模块(请参考文档):

	clean          删除所有本地客户和订阅数据而不影响服务器
	config         列出、设置或删除这机器使用的配置参数。
	environments   显示用户可用的环境
	facts          在这台机器中使用现有详情
	identity       为这台机器显示 ID 证书或者申请一个新的证书
	import         导入工具之外提供的证书
	orgs           显示用户可以注册系统的机构
	redeem         尝试为预先配置的机器兑现订阅
	repos          列出这台机器授权使用的库


# LANG=zh_TW.UTF8 subscription-manager --help

使用方法:subscription-manager [options] MODULENAME --help

主模組:

	list           列出這台機器的訂閱與產品資訊
	refresh        從伺服器取得最新的訂閱資料
	register       將用戶端向 RHN 註冊
	subscribe      將已註冊的系統訂閱特定產品
	unregister     將用戶端向 RHN 取消註冊
	unsubscribe    讓電腦取消訂閱所有或特定的訂閱服務

其他模組(請參閱文件):

	clean          移除所有本地消耗者與訂閱資料,而不影響伺服器。
	config         列出、設定、或移除這台機器使用中的配置參數。
	environments   顯示使用者的可用環境
	facts          以現有的電腦詳情運作
	identity       顯示這台機器的身份認證,或索取新的身份認證
	import         匯入工具以外提供的認證
	orgs           顯示使用者得以註冊系統的組織
	redeem         試圖為預先配置的電腦取得訂閱服務
	repos          列出這台機器有權使用的檔案庫。


# LANG=as_IN.UTF8 subscription-manager --help

ব্যৱহাৰ: subscription-manager [বিকল্পসমূহ] MODULENAME --help

প্ৰাথমিক মডিউলসমূহ:

	list           এই মেচিনৰ বাবে স্বাক্ষৰণ আৰু উৎপাদন তথ্য তালিকাভুক্ত কৰক
	refresh        চাৰ্ভাৰৰ পৰা শেহতীয়া স্বাক্ষৰণ তথ্য টানি আনক
	register       ক্লাএন্টক RHN -লে ৰেজিস্টাৰ কৰক
	subscribe      ৰেজিস্টাৰ কৰা মেচিনক এটা ধাৰ্য্য কৰা উৎপাদনলে স্বাক্ষৰ কৰক
	unregister     ক্লাএন্টক RHN -ৰ পৰা আনৰেজিস্টাৰ কৰক
	unsubscribe    মেচিনক সকলো অথবা বিশেষ স্বাক্ষৰণসমূহৰ পৰা অস্বাক্ষৰ কৰক

অন্য মডিউলসমূহ (অনুগ্ৰহ কৰি তথ্যচিত্ৰ চাওক):

	clean          চাৰ্ভাৰক প্ৰভাৱ নেপেলাই স্থানীয় উপভোক্তা আৰু স্বাক্ষৰণ তথ্য আতৰাওক
	config         এই মেচিনৰ দ্বাৰা ব্যৱহৃত সংৰূপ প্ৰাচলসমূহ তালিকাভুক্ত কৰক, সংহতি কৰক, অথবা আতৰাওক।
	environments   এজন ব্যৱহাৰকাৰীৰ বাবে উপলব্ধ পৰিৱেশসমূহ প্ৰদৰ্শন কৰে
	facts          এই মেচিনৰ বাবে বৰ্তমান তথ্যসমূহৰ সৈতে কাম কৰক
	identity       এই মেচিনৰ বাবে পৰিচয় প্ৰমাণপত্ৰ প্ৰদৰ্শন কৰক অথবা নতুন এটা অনুৰোধ কৰক
	import         প্ৰমাণপত্ৰসমূহ যি সঁজুলিৰ বাহিৰ প্ৰদান কৰা হৈছিল ইমপোৰ্ট কৰক
	orgs           সংঘঠনসমূহ যাৰ বাবে এজন ব্যৱহাৰকাৰীয়ে এটা চিস্টেম ৰেজিস্টাৰ কৰিব পাৰে
	redeem         এটা পূৰ্বসংৰূপীত মেচিনৰ বাবে এটা স্বাক্ষৰণ ঘুৰাই নিয়াৰ চেষ্টা
	repos          এই মেচিনৰ ব্যৱহাৰ কৰিবলে অনুজ্ঞা থকা ভঁৰালসমূহ তালিকাভুক্ত কৰে


# LANG=bn_IN.UTF8 subscription-manager --help

ব্যবহারপ্রণালী: subscription-manager [options] MODULENAME --help

প্রধান মডিউল:

	list           এই মেশিনের জন্য প্রযোজ্য সাবস্ক্রিপশন ও উৎপাদন সম্পর্কিত তথ্যের তালিকা প্রদর্শন করা হবে
	refresh        সাবস্ক্রিপশন সংক্রান্ত সর্বশেষ তথ্যগুলি সার্ভার থেকে প্রাপ্ত করুন
	register       ক্লায়েন্ট সিস্টেমকে RHN-এনিবন্ধন করুন
	subscribe      নিবন্ধনিত মেশিনটিকে কোনো সুনির্দিষ্ট উৎপাদনের সাথে সাবস্ক্রাইব করুন
	unregister     RHN থেকে সিস্টেমের নিবন্ধন বাতিল করা হবে
	unsubscribe    সকল অথবা সুনির্দিষ্ট সাবস্ক্রিপশন থেকে মেশিনটিকে আন-সাবস্ক্রাইব করা হবে

অন্যান্য মডিউল (অনুগ্রহ করে প্রাসঙ্গিক নতিপত্র পড়ুন):

	clean          সার্ভার প্রভাবিত না করে গ্রাহক ও সাবস্ক্রিপশন সংক্রান্ত সকল তথ্য মুছে ফেলুন
	config         এই মেশিন দ্বারা ব্যবহৃত কনফিগারেশন পরামিতিগুলির তালিকা প্রদর্শন, মান নির্ধারণ অথবা বর্জন করা হবে।
	environments   ব্যবহারকারীর জন্য উপলব্ধ এনভায়রনমেন্টগুলি প্রদর্শন করা হবে
	facts          এই মেশিন সংক্রান্ত বর্তমান উপলব্ধ সংবাদ সহযোগে কর্ম সঞ্চালিত হবে
	identity       এই মেশিনের পরিচয় নির্ধারণ করতে ব্যবহৃত সার্টিফিকেট প্রদর্শন করুন অথবা একটি নতুন সার্টিফিকেট নির্মাণের অনুরোধ জানান
	import         এই ব্যবস্থার বাইরে উপলব্ধ করা ইম্পোর্ট সার্টিফিকেট
	orgs           যে সমস্ত প্রতিষ্ঠানের (org) জন্য ব্যবহারকারীরা সিস্টেম নিবন্ধন করতে পারবেন তা প্রদর্শন করা হবে
	redeem         পূর্বে কনফিগার করা একটি মেশিনের জন্য সাবস্ক্রিপশন ব্যবহার করা প্রচেষ্টা করা হয়েছে
	repos          এই মেশিনটি যে সমস্ত সংগ্রহস্তল ব্যবহার করতে সক্ষম সেগুলির তালিকা প্রস্তুত করুন


# LANG=hi_IN.UTF8 subscription-manager --help

प्रयोग: subscription-manager [options] MODULENAME --help

प्राथमिक मॉड्यूल्स

	list           इस मशीन के लिए सदस्यता की सूची और उत्पाद सूचना
	refresh        सर्वर से नवीनतम सदस्यता आँकड़ा लें
	register       क्लाइंट RHN में पंजीकृत करें
	subscribe      निर्दिष्ट उत्पाद में पंजीकृत मशीन की सदस्यता लें
	unregister     क्लाइंट RHN से गैर पंजीकृत करें
	unsubscribe    सभी या विशिष्ट सदस्यता से मशीन की सदस्यता वापस करें

अन्य मॉड्यूल्स (कृपया दस्तावेजीकरण की सलाह लें):

	clean          सभी स्थानीय ग्राहक और सदस्यता आँकड़ा को बिना सर्वर को प्रभावित किए हटाएँ
	config         इस मशीन के द्वारा उपयोग में आया विन्यास पैरामीटर को सूचीबद्ध करें, सेट करें या हटाएँ.
	environments   किसी उपयोक्ता के लिए वातावरण को दिखाएँ
	facts          इस मशीन के लिए मौजूदा तथ्य के साथ कार्य
	identity       इस मशीन के लिए पहचान प्रमाणपत्र दिखाएँ या किसी नए के लिए आग्रह करें
	import         प्रमाणपत्र आयात करें जो औज़ार के बाहर दिए गए हैं
	orgs           संगठन को दिखाएँ जिसके लिए कोई उपयोक्ता तंत्र पंजीकृत कर सकता है
	redeem         पूर्वविन्यस्त मशीन के लिए किसी सदस्यता को फिर प्राप्त करने का प्रयास
	repos          रेपो को सूचीबद्ध करें जिसमें मशीन एंटाइटेल है


# LANG=mr_IN.UTF8 subscription-manager --help

वापर: subscription-manager [options] MODULENAME --help

प्राथमिक घटके:

	list           या मशीनकरीता सबस्क्रिप्शन सूची व उत्पादन माहिती दाखवा
	refresh        सर्व्हरपासून सर्वात अलिकडील सबस्क्रिप्शन डाटा पूल करा
	register       क्लाएंटला RHN सह नोंदणी करा
	subscribe      नोंदणी मशीनला निर्देशीत उत्पादनसह सबस्क्राइब करा
	unregister     क्लाएंटला RHN सह नोंदणी अशक्य करा
	unsubscribe    सर्व किंवा ठराविक सबस्क्रिप्शन्स् पासून मशीन सबस्क्रिप्शन अशक्य करा

इतर घटके (कृपया दस्तऐवजीकरण पहा):

	clean          सर्व्हरवर प्रभाव न टाकता सर्व स्थानीय ग्राहका व सबस्क्रिप्शन डाटा काढून टाका
	config         या मशीनतर्फे वापरण्याजोगी संरचना घटकांची सूची दाखवा, सेट करा, किंवा काढून टाका.
	environments   वापरकर्त्यासाठी उपलब्ध एंवार्यंमेंटस् दाखवा
	facts          या मशीनकरीता सध्याच्या फॅक्टस्सह कार्य करा
	identity       या मशीनपासून ओळख प्रमाणपत्र दाखवा किंवा नवीनकरीता विनंती करा
	import         साधनच्या बाहेरील पुरवलेले प्रमाणपत्रे आयात करा
	orgs           संस्था ज्याविरुद्ध वापरकर्ता प्रणालीची नोंदणी करू शकतो, तशी सूची दाखवा
	redeem         पूर्वसंरचीत मशीनकरीता सबस्क्रिप्शनचा वापर करण्याचा प्रयत्न झाला
	repos          वापरण्याजोगी मशीनसह रेपोज्ची सूची दाखवा


# LANG=gu_IN.UTF8 subscription-manager --help

વપરાશ: subscription-manager [options] MODULENAME --help

પ્રાથમિક મોડ્યુલો:

	list           આ મશીન માટે ઉમેદવારી અને પ્રોડક્ટ જાણકારીની યાદી
	refresh        સર્વરમાંથી તાજેતરની ઉમેદવારી માહિતીને લાવો
	register       RHN માં ક્લાયન્ટને રજીસ્ટર કરો
	subscribe      ચોક્કસ ઉત્પાદન માટે રજીસ્ટર મશીન પર સબ્સ્ક્રાઇબ કરો
	unregister     RHN માંથી ક્લાયન્ટ રજીસ્ટર ન કરો
	unsubscribe    બધા અથવા ખાસ ઉમેદવારીઓમાંથી મશીનને ઉમેદવારીમાંથી બહાર નીકાળો

બીજા મોડ્યુલો (મહેરબાની કરીને દસ્તાવેજીકરણનો સંપર્ક કરો):

	clean          સર્વરને અસર કરતા પહેલાં બધા સ્થાનિક ગ્રાહક અને ઉમેદવારી માહિતીને દૂર કરો
	config         આ મશીન દ્દારા વાપરવામાં આવતા રૂપરેખાંકન પરિમાણોની યાદી, સુયોજિત, અથવા દૂર કરો.
	environments   વપરાશકર્તા માટે પર્યાવરણ ચલને દર્શાવો
	facts          આ મશીન માટે તાજેતરનાં તથ્યો સાથે કામ કરો
	identity       આ મશીન માટે ઓળખાણ પ્રમાણપત્રને દર્શાવો અથવા નવાં એક માટે માંગણી કરો
	import         આયાત પ્રમાણપત્રો કે જે પુલની બહાર પૂરા પાડેલ હતા
	orgs           સંસ્થા કે જે સામે વપરાશકર્તા સિસ્ટમ રજીસ્ટર કરી શકો છો દર્શાવો
	redeem         એક પૂર્વરૂપરેખાંકિત મશીન માટે ઉમેદવારી અદા કરવા માટેનો પ્રયાસ
	repos          રિપોની યાદી કરો કે આ મશીન વાપરવા માટે હકદાર છે


# LANG=kn_IN.UTF8 subscription-manager --help

ಬಳಕೆ: subscription-manager [options] MODULENAME --help

ಪ್ರಾಥಮಿಕ ಮಾಡ್ಯೂಲ್‌ಗಳು:

	list           ಈ ಗಣಕಯಂತ್ರಕ್ಕಾಗಿನ ಚಂದಾದಾರಿಕೆ ಹಾಗು ಉತ್ಪನ್ನ ಮಾಹಿತಿಯನ್ನು ಪಟ್ಟಿ ಮಾಡಿ
	refresh        ಇತ್ತೀಚಿನ ಚಂದಾದಾರ ದತ್ತಾಂಶವನ್ನು ಪರಿಚಾರಕದಿಂದ ಪಡೆದುಕೊ
	register       ಕ್ಲೈಂಟ್‌ ಅನ್ನು RHN ಗೆ ನೋಂದಾಯಿಸಿ
	subscribe      ನೋಂದಾಯಿಸಲಾದ ಗಣಕಯಂತ್ರವನ್ನು ಸೂಚಿಸಲಾದ ಉತ್ಪನ್ನಕ್ಕೆ ಚಂದಾದಾರವಾಗಿಸು
	unregister     ಕ್ಲೈಂಟ್‌ನ RHN ನೋಂದಣಿಯನ್ನು ರದ್ದುಗೊಳಿಸಿ
	unsubscribe    ಗಣಕಯಂತ್ರವನ್ನು ಎಲ್ಲಾ ಅಥವ ನಿಶ್ಚಿತ ಚಂದಾದಾರಿಕೆಗಳಿಂದ ರದ್ದುಗೊಳಿಸಿ

ಇತರೆ ಮಾಡ್ಯೂಲ್‌ಗಳು (ದಯವಿಟ್ಟು ದಸ್ತಾವೇಜನ್ನು ನೋಡಿ):

	clean          ಪರಿಚಾರಕದ ಮೇಲೆ ಪರಿಣಾಮ ಬೀರದೆ ಎಲ್ಲಾ ಸ್ಥಳೀಯ ಬಳಕೆದಾರ ಹಾಗು ಚಂದಾದಾರಿಕೆ ದತ್ತಾಂಶವನ್ನು ತೆಗೆದುಹಾಕು
	config         ಈ ಗಣಕಯಂತ್ರದಿಂದ ಬಳಸಲಾಗುತ್ತಿರುವ ನಿಯತಾಂಕಗಳ ಸಂರಚನೆಯನ್ನು ಪಟ್ಟಿ ಮಾಡಿ, ಹೊಂದಿಸಿ, ಅಥವ ತೆಗೆದುಹಾಕಿ.
	environments   ಬಳಕೆದಾರರಿಗೆ ಲಭ್ಯವಿರುವ ಪರಿಸರಗಳನ್ನು ತೋರಿಸು
	facts          ಈ ಗಣಕಯಂತ್ರಕ್ಕಾಗಿನ ಪ್ರಸಕ್ತ ವಸ್ತುಸ್ಥಿತಿಯ ಮೇಲೆ ಕೆಲಸಮಾಡು
	identity       ಈ ಗಣಕಕ್ಕಾಗಿ ಗುರುತಿನ ಪ್ರಮಾಣಪತ್ರವನ್ನು ತೋರಿಸು ಅಥವ ಒಂದು ಹೊಸ ಪ್ರಮಾಣಪತ್ರಕ್ಕಾಗಿ ಮನವಿ ಮಾಡು
	import         ಉಪಕರಣದ ಹೊರಗೆ ಒದಗಿಸಲಾದ ಪ್ರಮಾಣಪತ್ರಗಳನ್ನು ಆಮದು ಮಾಡು
	orgs           ಯಾವ ಸಂಸ್ಥೆಯ ಪರವಾಗಿ ಬಳಕೆದಾರರು ನೋಂದಾಯಿಸಿದ್ದಾರೆ ಎನ್ನುವುದನ್ನು ತೋರಿಸು
	redeem         ಪೂರ್ವಸಂರಚಿತಗೊಂಡ ಗಣಕಯಂತ್ರಕ್ಕಾಗಿ ಒಂದು ಚಂದಾದಾರಿಕೆಯನ್ನು ಹಿಂಪಡೆದುಕೊಳ್ಳುವ ಪ್ರಯತ್ನ
	repos          ಈ ಗಣಕಯಂತ್ರವು ಬಳಸಲು ಅರ್ಹವಾದ ರೆಪೊಗಳ ಪಟ್ಟಿ ಮಾಡು


# LANG=ml_IN.UTF8 subscription-manager --help

ഉപയോഗിയ്ക്കേണ്ട വിധം: subscription-manager [options] MODULENAME --help

പ്രൈമറി ഘടകങ്ങള്‍:

	list           ഈ സിസ്റ്റത്തിനുള്ള സബ്സ്ക്രിപ്ഷനും പ്രൊഡക്ട് വിവരവും ലഭ്യമാക്കുക
	refresh        സര്‍വറില്‍ നിന്നും ഏറ്റവും പുതിയ സബ്സ്ക്രിപ്ഷന്‍ ഡേറ്റാ ലഭ്യമാക്കുക
	register       ക്ലയന്റിനെ ആര്‍എച്എനുമായി രജിസ്ടര്‍ ചെയ്യുക
	subscribe      ഒരു പ്രൊഡക്ടിനായി രജിസ്ടര്‍ ചെയ്ത സിസ്റ്റം സബ്സ്ക്രൈബ് ചെയ്യുക
	unregister     ക്ലയന്റിനെ ആര്‍എച്എനുമായി അണ്‍രജിസ്ടര്‍ ചെയ്യുക
	unsubscribe    എല്ലാം അല്ലെങ്കില്‍ പ്രത്യേക സബ്സ്ക്രിപ്ഷനുകളില്‍ നിന്നും സിസ്റ്റം അണ്‍സബ്സ്ക്രൈബ് ചെയ്യുക

മറ്റു് ഘടകങ്ങള്‍ (വിവരണക്കുറിപ്പു് കാണുക):

	clean          സര്‍വറിനെ ബാധിയ്ക്കാത്തവിധം എല്ലാ ഉപഭോക്താക്കളും സബ്സ്ക്രിപ്ഷന്‍ ഡേറ്റയും നീക്കം ചെയ്യുക
	config         ഈ സിസ്റ്റത്തിനുള്ള ക്രമീകരണ പരാമീറ്ററുകള്‍ ലഭ്യമാക്കുക, സജ്ജമാക്കുക, നീക്കം ചെയ്യുക.
	environments   ഒരു ഉപയോക്താവിനു് ലഭ്യമായ സാഹചര്യങ്ങള്‍ കാണിയ്ക്കുക
	facts          നിലവിലുള്ള വിവരങ്ങളുമായി ഈ സിസ്റ്റത്തില്‍ പ്രവര്‍ത്തിയ്ക്കുക
	identity       ഈ സിസ്റ്റത്തിനുള്ള തിരിച്ചറിയല്‍ സര്‍ട്ടിഫിക്കേറ്റ് കാണിയ്ക്കുക അല്ലെങ്കില്‍ പുതിയതു് ആവശ്യപ്പെടുക
	import         പ്രയോഗത്തിനു് പുറത്തു് ലഭ്യമാക്കിയ സര്‍ട്ടിഫിക്കേറ്റുകള്‍ ലഭ്യമാക്കുക
	orgs           ഒരു ഉപയോക്താവിനു് സിസ്റ്റം രജിസ്ടര്‍ ചെയ്യുവാന്‍ സാധിയ്ക്കുന്ന സ്ഥാപനങ്ങള്‍ കാണിയ്ക്കുക
	redeem         മുന്‍ക്രമീകരിച്ചിട്ടുള്ള സിസ്റ്റത്തിനുള്ള സബ്സ്ക്രിപ്ഷന്‍ ലഭ്യമാക്കുവാന്‍ ശ്രമിയ്ക്കുക
	repos          ഈ സിസ്റ്റത്തിനു് ഉപയോഗിയ്ക്കുവാന്‍ സാധിയ്ക്കുന്ന റിപ്പോകളുടെ പട്ടിക ലഭ്യമാക്കുക


# LANG=or_IN.UTF8 subscription-manager --help

ବ୍ଯବହାର ବିଧି: subscription-manager [options] MODULENAME --help

ପ୍ରାଥମିକ ଏକକାଂଶ:

	list           ଏହି ଯନ୍ତ୍ର ପାଇଁ ସଦସ୍ୟତା ଏବଂ ଉତ୍ପାଦନ ସୂଚନାକୁ ତାଲିକାଭୁକ୍ତ କରନ୍ତୁ
	refresh        ସର୍ଭରରୁ ନୂତନତମ ସଦସ୍ୟତା ତଥ୍ଯକୁ ଆଣନ୍ତୁ
	register       କ୍ଲାଏଣ୍ଟକୁ RHN ରେ ପଞ୍ଜିକୃତ କରନ୍ତୁ
	subscribe      ସକ୍ରିୟ ଥିବା ଯନ୍ତ୍ରକୁ ଏକ ନିର୍ଦ୍ଦିଷ୍ଟ ଉତ୍ପାଦନ ପାଇଁ ସଦସ୍ୟତା ଗ୍ରହଣ କରନ୍ତୁ
	unregister     କ୍ଲାଏଣ୍ଟକୁ RHN ରୁ ପଞ୍ଜିକୃତ ହୀନ କରନ୍ତୁ
	unsubscribe    ସମସ୍ତ କିମ୍ବା କିଛି ନିର୍ଦ୍ଦିଷ୍ଟ ସଦସ୍ୟତାରୁ ଯନ୍ତ୍ରକୁ ସଦସ୍ୟତାମୁକ୍ତ କରନ୍ତୁ

ଅନ୍ୟାନ୍ୟ ଏକକାଂସଗୁଡ଼ିକ (ଦୟାକରି ଦଲିଲକୁ ଦେଖନ୍ତୁ):

	clean          ସର୍ଭର ଉପରେ ପ୍ରଭାବ ନପକାଇ ସମସ୍ତ ସ୍ଥାନୀୟ ଗ୍ରାହକ ଏବଂ ସଦସ୍ୟତା ତଥ୍ୟକୁ କାଢ଼ି ଦିଅନ୍ତୁ
	config         ଏହି ଯନ୍ତ୍ର ଦ୍ୱାରା ବ୍ୟବହାର ହେଉଥିବା ବିନ୍ୟାସ ପ୍ରାଚଳଗୁଡ଼ିକୁ ତାଲିକାଭୁକ୍ତ କରନ୍ତୁ, ସେଟ କରନ୍ତୁ, କିମ୍ବା କାଢ଼ି ଦିଅନ୍ତୁ।
	environments   ଚାଳକ ପାଇଁ ଉପଲବ୍ଧ ପରିବେଶକୁ ଦର୍ଶାନ୍ତୁ
	facts          ଏହି ଯନ୍ତ୍ର ପାଇଁ ବର୍ତ୍ତମାନର ବିଷୟବସ୍ତୁରେ କାମ କରନ୍ତୁ
	identity       ଏହି ଯନ୍ତ୍ର ପାଇଁ ପରିଚୟ ପ୍ରମାଣପତ୍ରକୁ ଦର୍ଶାନ୍ତୁ କିମ୍ବା ଗୋଟିଏ ନୂତନ ପରିଚୟ ପାଇଁ ଅନୁରୋଧ କରନ୍ତୁ
	import         ଉପକରଣ ବାହାରେ ପ୍ରଦାନ କରାଯାଇଥିବା ପ୍ରମାଣପତ୍ରଗୁଡ଼ିକୁ ଆମଦାନୀ କରନ୍ତୁ
	orgs           ଚାଳକ ତନ୍ତ୍ରକୁ ପଞ୍ଜିକରଣ କରିପାରୁଥିବା ଅନୁଷ୍ଠାନ ନାମ ଦର୍ଶାନ୍ତୁ
	redeem         ପୂର୍ବରୁ ବିନ୍ୟାସିତ ଯନ୍ତ୍ର ପାଇଁ ସଦସ୍ୟତାକୁ ହ୍ରାସ କରିବା ପାଇଁ ପ୍ରୟାସ କରୁଅଛି
	repos          ଏହି ଯନ୍ତ୍ରରେ ବ୍ୟବହାର କରିବା ପାଇଁ ନିଯୁକ୍ତ ରେପୋଗୁଡ଼ିକୁ ତାଲିକାଭୁକ୍ତ କରନ୍ତୁ


# LANG=pa_IN.UTF8 subscription-manager --help

ਵਰਤੋਂ: subscription-manager [options] MODULENAME --help

ਪਰਾਇਮਰੀ ਮੋਡੀਊਲ:

	list           ਇਸ ਮਸ਼ੀਨ ਲਈ ਮੈਂਬਰੀਆਂ ਅਤੇ ਉਤਪਾਦ ਜਾਣਕਾਰੀ ਵੇਖਾਓ
	refresh        ਸਰਵਰ ਤੋਂ ਤਾਜ਼ਾ ਮੈਂਬਰੀ ਡਾਟਾ ਭਰੋ
	register       ਕਲਾਂਈਟ ਨੂੰ RHN ਨਾਲ ਰਜਿਸਟਰ ਕਰੋ
	subscribe      ਕਿਸੇ ਉਤਪਾਦ ਤੇ ਮਸ਼ੀਨ ਰਜਿਸਟਰ ਕਰਨ ਲਈ ਮੈਂਬਰੀ ਬਣੋ
	unregister     RHN ਤੋਂ ਕਲਾਂਈਟ ਅਨ-ਰਜਿਸਟਰ ਕਰੋ
	unsubscribe    ਮਸ਼ੀਨ ਨੂੰ ਸਭ ਜਾਂ ਖਾਸ ਮੈਂਬਰੀ ਤੋਂ ਹਟਾਓ

ਹੋਰ ਮੋਡੀਊਲ (ਕਿਰਪਾ ਕਰਕੇ ਦਸਤਾਵੇਜ਼ ਵੇਖੋ):

	clean          ਸਰਵਰ ਤੇ ਬਿਨਾ ਅਸਰ ਕੀਤੇ ਸਭ ਲੋਕਲ ਗਾਹਕ ਅਤੇ ਮੈਂਬਰੀ ਡਾਟਾ ਹਟਾਓ
	config         ਇਸ ਮਸ਼ੀਨ ਦੁਆਰਾ ਵਰਤੇ ਪੈਰਾਮੀਟਰ ਵੇਖਾਓ, ਸੈੱਟ ਕਰੋ, ਜਾਂ ਹਟਾਓ।
	environments   ਯੂਜ਼ਰ ਲਈ ਉਪਲੱਬਧ ਇਨਵਾਇਰਮੈਂਟ ਵੇਖਾਓ
	facts          ਇਸ ਮਸ਼ੀਨ ਤੋਂ ਮੌਜੂਦਾ ਸਿਧਾਂਤਾਂ ਨਾਲ ਕੰਮ ਕਰੋ
	identity       ਇਸ ਮਸ਼ੀਨ ਲਈ ਪਛਾਣ ਸਾਰਟੀਫਿਕੇਟ ਵੇਖਾਓ ਜਾਂ ਨਵੇਂ ਲਈ ਬੇਨਤੀ ਕਰੋ
	import         ਟੂਲ ਤੇ ਬਾਹਰ ਦਿੱਤੇ ਸਾਰਟੀਫਿਕੇਟ ਬਰਾਮਦ ਕਰੋ
	orgs           ਸੰਗਠਨ ਵੇਖਾਓ ਜਿਸ ਨਾਲ ਯੂਜ਼ਰ ਸਿਸਟਮ ਨੂੰ ਰਜਿਸਟਰ ਕਰ ਸਕਦਾ ਹੈ
	redeem         ਪਹਿਲਾਂ-ਸੰਰਚਿਤ ਮਸ਼ੀਨ ਲਈ ਮੈਂਬਰੀ ਛੱਡ ਦਿਓ
	repos          ਰਿਪੋ ਦੀ ਸੂਚੀ ਜੋ ਇਸ ਮਸ਼ੀਨ ਨੇ ਵਰਤਣੀਆਂ ਹਨ


# LANG=ta_IN.UTF8 subscription-manager --help

பயன்பாடு: subscription-manager [விருப்பங்கள்] MODULENAME --help

முதன்மை தொகுதிகள்:

	list           இந்த கணினிக்கான சந்தாபடுத்தல் மற்றும் தயாரிப்பு தகவலின் பட்டியல்
	refresh        சேவையகத்திலிருந்து சமீபத்திய சந்தா தரவை இழுக்கவும்
	register       வாடிக்கையாளரை RHN க்கு பதிவுசெய்யவும்
	subscribe      ஒரு குறிப்பிட்ட தயாரிப்பிற்கான பதிவுசெய்யப்பட்ட கணினியை சந்தாபடுத்தவும்
	unregister     RHN இலிருந்து வாடிக்கையாளரை பதிவுநீக்கவும்
	unsubscribe    அனைத்து அல்லது குறிபிபட்ட சந்தாக்களிலிருந்து கணினியை சந்தாநீக்கவும்

மற்ற தொகுதிகள் (ஆவணத்தை பார்க்கவும்):

	clean          அனைத்து உள்ளமை வாடிக்கையாளரையும் சேவையகத்தை பாதிக்காமல் சந்தா தரவை நீக்கவும்
	config         இந்த கணினியின் படி கட்டமைப்பு அளவுருக்களை பட்டியல், அமைத்தல் , அல்லது நீக்கவும்.
	environments   ஒரு பயனருக்கு கிடைக்கும் சூழல்களுக்களை காட்டவும்
	facts          இந்த கணினிக்கான நடப்பு நிகழ்வுகளுடன் பணிபுரியும்
	identity       இந்த கணினிக்காக அல்லது ஒரு புதிய கோரிக்கைக்காக அடையாள சான்றிதழைக் காட்டவும்
	import         கருவிக்கு வெளியில் வழங்கப்பட்ட சான்றிதழ்களை இறக்கவும்
	orgs           ஒரு கணினியில் பதிவுசெய்ய ஒரு பயனருக்கு எதிராக orgs ஐ காட்டவும்
	redeem         ஒரு முன்கட்டமைக்கப்பட்ட கணினிக்காக ஒரு சந்தாவை மீட்டெடுக்க முயற்சிக்கவும்
	repos          பயன்படுத்துவதற்கு உரிமையுள்ள இந்த கணினியில் reposஐ பட்டியலிடவும்


# LANG=te_IN.UTF8 subscription-manager --help

వాడుక: subscription-manager [options] MODULENAME --help

ప్రాధమిక మాడ్యూళ్ళు:

	list           ఈ యంత్రము కొరకు సబ్‌స్క్రిప్షన్ మరియు వుత్పత్తి సమాచారం జాబితాచేయి
	refresh        సేవిక నుండి సరికొత్త సబ్‌స్క్రిప్షన్ దత్తాంశం లాగుము
	register       క్లైంట్‌ను RHN కు నమోదుచేయి
	subscribe      నమోదైన యంత్రము కొరకు తెలుపబడిన వుత్పత్తిని సబ్‌స్క్రైబ్ చేయి
	unregister     క్లైంట్‌ నమోదీకరణను RHN నుండి తీసివేయి
	unsubscribe    అన్నిటినుండి లేదా ప్రత్యేక సబ్‌స్క్రిప్షన్లనుండి యంత్రమును అన్‌సబ్‌స్క్రైబ్ చేయి

ఇతర మాడ్యూళ్ళు (దయచేసి పత్రకీకరణ సంప్రదించు):

	clean          సేవికను ప్రభావితం చేయకుండా మొత్తం స్థానిక వినియోగదారి మరియు సబ్‌స్క్రిప్షన్ దత్తాంశంను తీసివేయి
	config         ఈ యంత్రము చేత వాడుకలో వున్న ఆకృతీకరణ పారామితులను జాబితాచేయి, అమర్చు, లేదా తీసివేయి.
	environments   వాడుకరి కొరకు అందుబాటులో వున్న వాతావరణాలను ప్రదర్శించు
	facts          ఈ మిషన్ కొరకు ప్రస్తుత యదార్ధాలతో పనిచేయుము
	identity       ఈ యంత్రము కొరకు గుర్తింపు ధృవీకరణపత్రం ప్రదర్శించు లేదా కొత్త దానిని అభ్యర్ధించు
	import         సాధనము బయట అందించబడిన ధృవీకరణపత్రాలను దిగుమతిచేయి
	orgs           వేటి పైన వాడుకరి సిస్టమ్‌ను నమోదుచేయగలడో ఆ సంస్థలను ప్రదర్శించుము
	redeem         ముందుగా ఆకృతీకరించిన యంత్రము కొరకు సబ్‌స్క్రిప్షన్‌ను వెచ్చించుటకు ప్రయత్నం
	repos          ఈ యంత్రం వుపయోగించుటకు యెన్టైటిల్ చేయబడిన రెపోలను జాబితాచేయి

[root@jsefler-onprem-62server ~]# 



Although I can't read all 23 languages, translations appear present in all 23 locales.  The original bug is VERIFIED (again).
Comment 25 errata-xmlrpc 2011-12-06 12:14:31 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1695.html

Note You need to log in before you can comment on or make changes to this bug.